CREATE TABLE IF NOT EXISTS `ip_admin` (
  `id` int(11) NOT NULL,
  `user` varchar(255) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `admin_key` int(11) NOT NULL,
  PRIMARY KEY (`user`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_ads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ad_name` varchar(255) NOT NULL,
  `ad_location` varchar(255) NOT NULL,
  `ad_code` longtext NOT NULL,
  `active` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `ip_ad_locations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ad_location` varchar(255) NOT NULL,
  `active` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `ip_autopost_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(255) NOT NULL,
  `site` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

INSERT INTO `ip_autopost_categories` VALUES(1, 'pics', 'reddit');
INSERT INTO `ip_autopost_categories` VALUES(2, 'nsfw', 'reddit');

CREATE TABLE IF NOT EXISTS `ip_blog` (
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `post` longtext NOT NULL,
  `active` int(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_category` (
  `cat_id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_url` varchar(255) NOT NULL,
  `cat_name` varchar(255) NOT NULL,
  `cat_description` longtext NOT NULL,
  `cat_parent_id` int(11) NOT NULL,
  `cat_hits` int(11) NOT NULL,
  `is_nws` int(1) NOT NULL,
  `active` int(1) NOT NULL,
  `image_cover` varchar(255) NOT NULL,
  `cat_type` int(11) NOT NULL,
  `image_count` int(11) NOT NULL,
  `sub_count` int(11) NOT NULL,
  `video_count` int(11) NOT NULL,
  `cat_widget` longtext NOT NULL,
  PRIMARY KEY (`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `ip_comments` (
  `id` int(11) NOT NULL,
  `i` int(11) NOT NULL,
  `u` int(11) NOT NULL,
  `comment` longtext NOT NULL,
  `flag` int(1) NOT NULL,
  `rating` int(11) NOT NULL,
  `reply` int(11) NOT NULL,
  `ip` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_comment_rating` (
  `comment_id` int(11) NOT NULL,
  `u` int(11) NOT NULL,
  `type` varchar(10) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_fav` (
  `i` int(11) NOT NULL AUTO_INCREMENT,
  `u` int(11) NOT NULL,
  `t` int(1) NOT NULL,
  `d` int(11) NOT NULL COMMENT 'date',
  PRIMARY KEY (`i`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `ip_fields` (
  `field_id` int(11) NOT NULL AUTO_INCREMENT,
  `field_name` varchar(255) NOT NULL,
  `field_namespace` varchar(255) NOT NULL,
  `is_textarea` int(1) NOT NULL,
  `field_textarea` longtext NOT NULL,
  `active` int(1) NOT NULL,
  `field_description` longtext NOT NULL,
  PRIMARY KEY (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `ip_fields_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `i` int(11) NOT NULL,
  `field_name` varchar(255) NOT NULL,
  `field_value` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `ip_gallery` (
  `cat_id` int(11) NOT NULL,
  `i` int(11) NOT NULL,
  `type_id` int(11) NOT NULL,
  `added` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_images` (
  `i` int(11) NOT NULL,
  `filename` varchar(100) NOT NULL,
  `w` int(11) NOT NULL,
  `h` int(11) NOT NULL,
  `s` int(11) NOT NULL,
  `active` int(1) NOT NULL,
  `fav` int(11) NOT NULL,
  `img_tags` longtext NOT NULL,
  `nws` int(1) NOT NULL,
  `flag` int(1) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` longtext NOT NULL,
  `keywords` longtext NOT NULL,
  `votes` int(11) NOT NULL,
  `rating` int(11) NOT NULL,
  `url` varchar(255) NOT NULL,
  `uid` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `tag_filename` varchar(255) NOT NULL,
  `flagged_by` int(11) NOT NULL,
  `views_today` int(11) NOT NULL,
  `views_week` int(11) NOT NULL,
  `views_month` int(11) NOT NULL,
  `views_all` int(11) NOT NULL,
  `views_year` int(11) NOT NULL,
  `results` int(1) NOT NULL,
  `featured` int(1) NOT NULL,
  `t` varchar(100) NOT NULL,
  `original_filename` varchar(255) NOT NULL,
  `uploadKey` int(11) NOT NULL,
  `autopost_active` int(1) NOT NULL,
  `autopost_complete` int(1) NOT NULL,
  `autopost_title` varchar(255) NOT NULL,
  `autopost_category` int(11) NOT NULL,
  `rating_total` int(11) NOT NULL,
  `source` varchar(255) NOT NULL,
  PRIMARY KEY (`i`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_import_queue` (
  `url` varchar(255) NOT NULL,
  `import_type` int(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` longtext NOT NULL,
  `nws` int(1) NOT NULL,
  `tags` longtext NOT NULL,
  `youtube_id` varchar(255) NOT NULL,
  `completed` int(1) NOT NULL,
  `local` int(1) NOT NULL,
  PRIMARY KEY (`url`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_import_sites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `time_check` int(11) NOT NULL,
  `next_check` int(11) NOT NULL,
  `active` int(1) NOT NULL,
  `time_display` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;


CREATE TABLE IF NOT EXISTS `ip_options` (
  `name` varchar(255) NOT NULL,
  `namespace` varchar(255) NOT NULL,
  `val` varchar(255) NOT NULL,
  `bool` int(1) NOT NULL,
  `is_int` int(1) NOT NULL,
  `is_code` int(1) NOT NULL,
  `page` varchar(255) NOT NULL,
  `description` longtext NOT NULL,
  `code` longtext NOT NULL,
  `order` int(11) NOT NULL,
  PRIMARY KEY (`namespace`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `ip_options` VALUES('Admin Images Per Page', 'admin_images_per_page', '30', 0, 1, 0, 'images', '', '', 5);
INSERT INTO `ip_options` VALUES('User Registration', 'user_registration', '1', 1, 0, 0, 'users', '', '', 0);
INSERT INTO `ip_options` VALUES('User Comments', 'user_comments', '1', 1, 0, 0, 'users', '', '', 3);
INSERT INTO `ip_options` VALUES('User Images Per Page', 'user_images_per_page', '15', 0, 1, 0, 'users', '', '', 4);
INSERT INTO `ip_options` VALUES('Public Upload', 'public_upload', '1', 1, 0, 0, 'site', '', '', 0);
INSERT INTO `ip_options` VALUES('Max Image Width', 'max_image_width', '780', 0, 1, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Site Name', 'site_name', 'Media Gallery', 0, 0, 0, 'site', '', '', 0);
INSERT INTO `ip_options` VALUES('Site Keywords', 'site_keywords', 'images,photos,pictures,uploading,video,media', 0, 0, 0, 'site', '', '', 1);
INSERT INTO `ip_options` VALUES('ReCaptcha Enabled', 'recaptcha_enabled', '0', 1, 0, 0, 'misc', '', '', 0);
INSERT INTO `ip_options` VALUES('ReCaptcha Public Key', 'recaptcha_public_key', '', 0, 0, 0, 'misc', '', '', 0);
INSERT INTO `ip_options` VALUES('ReCaptcha Private Key', 'recaptcha_private_key', '', 0, 0, 0, 'misc', '', '', 0);
INSERT INTO `ip_options` VALUES('Auto approve images', 'auto_approve', '1', 1, 0, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Site description', 'site_desc', 'description of your media gallery goes here', 0, 0, 1, 'site', '', 'description of your media gallery goes here', 1);
INSERT INTO `ip_options` VALUES('Enable Users', 'enable_users', '1', 1, 0, 0, 'users', '', '', 0);
INSERT INTO `ip_options` VALUES('Only Animated Gifs', 'animated', '0', 1, 0, 0, 'images', '', '', 5);
INSERT INTO `ip_options` VALUES('Main Page Image Limit', 'main_images_per_page', '20', 0, 1, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Max Featured Image Width', 'max_featured_width', '500', 0, 1, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Apply watermark', 'watermark', '0', 1, 0, 0, 'images', '', '', 4);
INSERT INTO `ip_options` VALUES('Upload Type', 'upload_type', 'html', 1, 0, 0, '', '', '', 0);
INSERT INTO `ip_options` VALUES('Single Upload Total', 'upload_single_count', '10', 0, 1, 0, 'images', '', '', 0);
INSERT INTO `ip_options` VALUES('Default Tags', 'default_tags', '', 0, 0, 0, 'misc', '', '', 2);
INSERT INTO `ip_options` VALUES('Use Default Tags', 'default_tags_enabled', '0', 1, 0, 0, 'misc', '', '', 2);
INSERT INTO `ip_options` VALUES('Share Images', 'share_images', '1', 1, 0, 0, 'images', '', '', 0);
INSERT INTO `ip_options` VALUES('Default Page', 'default_page', 'browse', 0, 0, 0, '', '', '', 0);
INSERT INTO `ip_options` VALUES('Max Thumb Height', 'thumb_height', '150', 0, 1, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Max Thumb Width', 'thumb_width', '150', 0, 1, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Show View Count', 'show_views', '0', 1, 0, 0, 'misc', '', '', 0);
INSERT INTO `ip_options` VALUES('Secret Key', 'secret_key', '', 0, 0, 0, '', '', '', 0);
INSERT INTO `ip_options` VALUES('Auto Daily Featured Image', 'autodaily_active', '0', 1, 0, 0, 'site', '', '', 3);
INSERT INTO `ip_options` VALUES('Number of Random Images', 'random_images', '12', 0, 1, 0, 'images', '', '', 5);
INSERT INTO `ip_options` VALUES('Admin Image Thumb Width', 'admin_thumb_width', '100', 0, 1, 0, 'images', '', '', 5);
INSERT INTO `ip_options` VALUES('Admin Image Thumb Height', 'admin_thumb_height', '100', 0, 1, 0, 'images', '', '', 5);
INSERT INTO `ip_options` VALUES('Image Rows', 'image_rows', '2', 0, 1, 0, 'images', '', '', 4);
INSERT INTO `ip_options` VALUES('Image Columns', 'image_cols', '6', 0, 1, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Use absolute path for folders', 'abs_path', '0', 1, 0, 0, 'site', '', '', 2);
INSERT INTO `ip_options` VALUES('Enable NWS/WS', 'nws_toggle', '0', 1, 0, 0, 'site', '', '', 3);
INSERT INTO `ip_options` VALUES('Image Folder Name', 'folder_image', 'ip-images', 0, 0, 0, 'site', '', '', 2);
INSERT INTO `ip_options` VALUES('Thumb Folder Name', 'folder_thumb', 'ip-thumbs', 0, 0, 0, 'site', '', '', 2);
INSERT INTO `ip_options` VALUES('Absolute Path Image Folder', 'abs_path_folder_image', '', 0, 0, 0, 'site', '', '', 2);
INSERT INTO `ip_options` VALUES('Absolute Path Thumb Folder', 'abs_path_folder_thumb', '', 0, 0, 0, 'site', '', '', 2);
INSERT INTO `ip_options` VALUES('Image Folder URL', 'folder_image_url', '', 0, 0, 0, 'site', '', '', 2);
INSERT INTO `ip_options` VALUES('Thumb Folder URL', 'folder_thumb_url', '', 0, 0, 0, 'site', '', '', 2);
INSERT INTO `ip_options` VALUES('Reddit Username', 'reddit_user', '', 0, 0, 0, 'social', '', '', 0);
INSERT INTO `ip_options` VALUES('Reddit Password', 'reddit_pass', '', 0, 0, 0, 'social', '', '', 1);
INSERT INTO `ip_options` VALUES('Admin Thumb Resize', 'admin_thumb_size', '1', 1, 0, 0, 'images', '', '', 5);
INSERT INTO `ip_options` VALUES('Autopost to Reddit', 'reddit_active', '0', 1, 0, 0, 'social', '', '', 4);
INSERT INTO `ip_options` VALUES('RSS Image Limit', 'rss_image_limit', '10', 0, 1, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Enable CPALead Download Limit', 'cpa_active', '0', 1, 0, 0, 'cpalead', '', '', 0);
INSERT INTO `ip_options` VALUES('CPALead Image Download Limit', 'cpa_limit', '10', 0, 1, 0, 'cpalead', '', '', 0);
INSERT INTO `ip_options` VALUES('CPALead Password', 'cpa_password', '', 0, 0, 0, 'cpalead', '', '', 0);
INSERT INTO `ip_options` VALUES('Front Page Image Amount', 'frontpage_images', '6', 0, 1, 0, 'images', '', '', 5);
INSERT INTO `ip_options` VALUES('Enable Tagcloud', 'tagcloud_enabled', '0', 1, 0, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Tagcloud Limit', 'tagcloud_limit', '10', 0, 1, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('CPAlead Widget Code', 'cpa_widget', '', 0, 0, 1, 'cpalead', '', '', 0);
INSERT INTO `ip_options` VALUES('Google Analytics Code', 'google_analytics', '', 0, 0, 1, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Dynamic Image Filenames', 'dynamic_image', '0', 1, 0, 0, 'images', '', '', 3);
INSERT INTO `ip_options` VALUES('Pages to display', 'page_display', '30', 0, 1, 0, 'images', '', '', 1);
INSERT INTO `ip_options` VALUES('Autopost duration', 'autopost_duration', '5', 0, 1, 0, '', '', '', 0);
INSERT INTO `ip_options` VALUES('Show Ratings', 'show_rating', '0', 1, 0, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Twitter Username', 'twitter_user', '', 0, 0, 0, 'social', '', '', 2);
INSERT INTO `ip_options` VALUES('Twitter Password', 'twitter_pass', '', 0, 0, 0, 'social', '', '', 3);
INSERT INTO `ip_options` VALUES('Autopost to Twitter', 'twitter_active', '0', 1, 0, 0, 'social', '', '', 4);
INSERT INTO `ip_options` VALUES('Admin Videos per page', 'admin_videos_per_page', '30', 0, 1, 0, 'videos', '', '', 5);
INSERT INTO `ip_options` VALUES('User Videos Per Page', 'user_videos_per_page', '10', 0, 1, 0, 'videos', '', '', 4);
INSERT INTO `ip_options` VALUES('Video Columns', 'video_cols', '6', 0, 1, 0, 'videos', '', '', 3);
INSERT INTO `ip_options` VALUES('Front Page Video Amount', 'frontpage_videos', '6', 0, 1, 0, 'videos', '', '', 5);
INSERT INTO `ip_options` VALUES('Video Rows', 'video_rows', '2', 0, 1, 0, 'videos', '', '', 3);
INSERT INTO `ip_options` VALUES('Dynamic Social Buttons', 'dynamic_social_buttons', '0', 1, 0, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Static Social Buttons', 'static_social_buttons', '1', 1, 0, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Social Button Size', 'social_button_size', 'large', 0, 0, 0, '', '', '', 0);
INSERT INTO `ip_options` VALUES('RPX API Key', 'openid_api_key', '', 0, 0, 0, 'openid', '', '', 0);
INSERT INTO `ip_options` VALUES('Enable OpenID', 'openid_enabled', '0', 1, 0, 0, 'openid', '', '', 0);
INSERT INTO `ip_options` VALUES('Worksafe default', 'worksafe_default', '0', 0, 0, 0, '', '', '', 0);
INSERT INTO `ip_options` VALUES('RPX URL', 'openid_url', '', 0, 0, 0, 'openid', '', '', 0);
INSERT INTO `ip_options` VALUES('Rewrite Mode', 'rewrite', '0', 1, 0, 0, 'site', 'For cleaner URLs', '', 5);
INSERT INTO `ip_options` VALUES('Enable Comments', 'comments_enabled', '0', 1, 0, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Show Gallery Covers', 'covers_enabled', '1', 1, 0, 0, 'site', '', '', 5);
INSERT INTO `ip_options` VALUES('Upload Limit', 'upload_limit', '100', 0, 1, 0, 'images', 'Limits the amount of images that can be uploaded by a user', '', 3);
INSERT INTO `ip_options` VALUES('Upload Image Size Limit', 'upload_limit_size', '10240', 0, 1, 0, 'images', 'The size amount in bytes. Default is 10240 (10 megabytes)', '', 3);
INSERT INTO `ip_options` VALUES('Enable Images', 'enable_images', '1', 1, 0, 0, 'images', '', '', 0);
INSERT INTO `ip_options` VALUES('Enable Videos', 'enable_videos', '1', 1, 0, 0, 'videos', '', '', 0);
INSERT INTO `ip_options` VALUES('Prevent tags from writing url', 'enable_url_tags', '1', 1, 0, 0, 'site', 'If turned off, the url will be updated when tags are added/removed', '', 3);
INSERT INTO `ip_options` VALUES('Blog posts per page', 'blog_posts_per_page', '1', 0, 1, 0, 'site', '', '', 3);
INSERT INTO `ip_options` VALUES('Enable Image Uploading', 'enable_image_upload', '1', 1, 0, 0, 'images', '', '', 0);
INSERT INTO `ip_options` VALUES('Enable IP Tracking', 'enable_ip_tracking', '1', 1, 0, 0, 'site', 'Turn this off to free extra resources. If disabled, will prevent tracking for widget use.', '', 2);

CREATE TABLE IF NOT EXISTS `ip_rating` (
  `i` int(11) NOT NULL,
  `rating` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_search_results` (
  `q` varchar(255) NOT NULL,
  `results` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `time` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  PRIMARY KEY (`q`),
  KEY `q` (`q`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_session` (
  `ip` varchar(15) NOT NULL,
  `section` varchar(255) NOT NULL,
  `image` int(11) NOT NULL,
  `page` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `tag` varchar(255) NOT NULL,
  `imagecount` int(11) NOT NULL,
  `another` int(1) NOT NULL,
  `survey_completed` int(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `ip_sitestats` (
  `name` varchar(255) NOT NULL,
  `namespace` varchar(255) NOT NULL,
  `val` varchar(255) NOT NULL,
  `bool` int(1) NOT NULL,
  PRIMARY KEY (`namespace`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `ip_sitestats` VALUES('Version', 'version', '1.2', 0);
INSERT INTO `ip_sitestats` VALUES('Total tags', 'total_tags', '0', 0);
INSERT INTO `ip_sitestats` VALUES('Total images', 'total_images', '0', 0);
INSERT INTO `ip_sitestats` VALUES('Total users', 'total_users', '0', 0);
INSERT INTO `ip_sitestats` VALUES('Most popular image', 'most_popular_image', '0', 0);
INSERT INTO `ip_sitestats` VALUES('Next Autopost', 'next_autopost', '0', 0);
INSERT INTO `ip_sitestats` VALUES('Total videos', 'total_videos', '0', 0);

CREATE TABLE IF NOT EXISTS `ip_survey` (
  `time_completed` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `gallery_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_tagcloud` (
  `tag` varchar(255) NOT NULL,
  `c` int(11) NOT NULL COMMENT 'counter'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_tags` (
  `i` int(11) NOT NULL COMMENT 'image id',
  `t` varchar(255) NOT NULL COMMENT 'tag',
  `u` int(11) NOT NULL COMMENT 'user id',
  `f` int(1) NOT NULL COMMENT 'flag boolean',
  `type_id` int(1) NOT NULL,
  `nws` int(1) NOT NULL,
  `version` int(11) NOT NULL,
  FULLTEXT KEY `tag` (`t`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_tags_history` (
  `i` int(11) NOT NULL COMMENT 'image id',
  `t` varchar(255) NOT NULL COMMENT 'tag',
  `u` int(11) NOT NULL COMMENT 'user id',
  `f` int(1) NOT NULL COMMENT 'flag boolean',
  `type_id` int(1) NOT NULL,
  `nws` int(1) NOT NULL,
  `version` int(11) NOT NULL,
  FULLTEXT KEY `tag` (`t`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_template` (
  `name` varchar(255) NOT NULL,
  `active` int(1) NOT NULL,
  `preview` int(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_users` (
  `id` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `rpx` int(1) NOT NULL,
  `user` varchar(255) NOT NULL,
  `ip` varchar(100) NOT NULL,
  `active` int(1) NOT NULL,
  `favorites` int(11) NOT NULL,
  `images` int(11) NOT NULL,
  `comments` int(11) NOT NULL,
  `avatar` int(11) NOT NULL,
  `tags` int(11) NOT NULL,
  `videos` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `ip_videos` (
  `i` int(11) NOT NULL,
  `embed` longtext NOT NULL,
  `title` varchar(255) NOT NULL,
  `keywords` longtext NOT NULL,
  `description` longtext NOT NULL,
  `nws` int(1) NOT NULL,
  `views` int(11) NOT NULL,
  `link` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `youtube_id` varchar(100) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `active` int(1) NOT NULL,
  `rating` int(11) NOT NULL,
  `rating_total` int(11) NOT NULL,
  `flag` int(1) NOT NULL,
  `flagged_by` int(11) NOT NULL,
  `featured` int(1) NOT NULL,
  `autopost_title` varchar(255) NOT NULL,
  `autopost_active` int(1) NOT NULL,
  `autopost_category` int(11) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `fav` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `source` varchar(255) NOT NULL,
  `uid` int(11) NOT NULL,
  PRIMARY KEY (`i`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

