function imageResize(imageID,maxWidth) {
	var id = "#"+imageID;
    if(!maxWidth) {
    var maxWidth = $(id).width(); // Max width for the image
	}
    var maxHeight = $(id).height();
    var ratio = 0;  // Used for aspect ratio
    var width = $(id).width();    // Current image width
    var height = $(id).height();  // Current image height

    // Check if the current width is larger than the max
    if(width > maxWidth){
        ratio = maxWidth / width;   // get ratio for scaling image
        $(id).css("width", maxWidth); // Set new width
        $(id).css("height", height * ratio);  // Scale height based on ratio
        height = height * ratio;    // Reset height to match scaled image
    }

    // Check if current height is larger than max
    if(height > maxHeight){
        ratio = maxHeight / height; // get ratio for scaling image
        $(id).css("height", maxHeight);   // Set new height
        $(id).css("width", width * ratio);    // Scale width based on ratio
        width = width * ratio;    // Reset width to match scaled image
    }
}
